API ReferencePublic booking

Get earliest available slot

Get the earliest available time slot for a service, useful for displaying next available appointment.

GET
/v1/public/services/{service_id}/earliest_slot

Authorization

authorization
AuthorizationBearer <token>

In: header

Path Parameters

service_id*string

Service ID

Query Parameters

time_zone?string

Time zone for the slot (IANA format)

Default"Etc/UTC"
provider_id?string
Deprecated

Filter slot by specific provider ID (deprecated, use provider_ids)

provider_ids?string

Filter slots by provider IDs (comma-separated)

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/public/services/srv_123456789012/earliest_slot?time_zone=%22America%2FNew_York%22&provider_id=prv_123456789012&provider_ids=prv_123456789012%2Cprv_234567890123"
{  "data": {    "end_at": "2025-03-10T10:00:00Z",    "end_at_ts": 1736464800,    "object": "slot",    "start_at": "2025-03-10T09:00:00Z",    "start_at_ts": 1736461200,    "time_zone": "Etc/UTC"  }}